QR kodları

GET https://0o0.online/api/qr-codes/
curl --request GET \
--url 'https://0o0.online/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
Parametreler Detaylar Açıklama
search seçmeli Çerçeve Arama Çizgisi .
search_by seçmeli Çerçeve Hangi alanı arıyorsunuz. izin verilen değerler şunlardır: name.
project_id seçmeli bütünü
type seçmeli Çerçeve Hangi alanı arıyorsunuz. izin verilen değerler şunlardır: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix.
datetime_field seçmeli Çerçeve izin verilen değerler: datetime, last_datetime
datetime_start seçmeli Çerçeve Filtre sonuçları bu tarihten itibaren başlar. Y-m-d H:i:s formatı için.
datetime_end seçmeli Çerçeve Filtre sonuçları bu tarihine kadar. Y-m-d H:i:s formatı için.
order_by seçmeli Çerçeve Hangi alanda sonuçları sipariş edebilirsiniz. izin verilen değerler şunlardır: qr_code_id, datetime, last_datetime, name, type.
order_type seçmeli Çerçeve Sonuçların sipariş edilmesi. izin verilen değerler şunlardır: ASC Yükseliş emri için ve DESC İndirme siparişleri için.
page seçmeli bütünü İstediğiniz sayfa numarası sonuçları. 1.
results_per_page seçmeli bütünü Sayfa başına ne kadar sonuç istersiniz. izin verilen değerler şunlardır: 10, 25, 50, 100, 250, 500, 1000. eksiklikler için 25.
{
    "data": [
        {
            "id": 1,
            "type": "url",
            "name": "Example name",
            "qr_code": "https://0o0.online/uploads/qr_code/example.svg",
            "qr_code_logo": null,
            "qr_code_background": null,
            "settings": {
                "foreground_type": "color",
                "foreground_color": "#000000",
                "background_color": "#ffffff",
                "custom_eyes_color": false,
                "qr_code_logo_size": 25,
                "size": 500,
                "margin": 0,
                "ecc": "L",
                "url": "https://example.com"
                ...
            },
            "embedded_data": "https://example.com",
            "last_datetime": null,
            "datetime": "2026-10-16 01:37:53",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://0o0.online/api/qr-codes?page=1",
        "last": "https://0o0.online/api/qr-codes?page=1",
        "next": null,
        "prev": null,
        "self": "https://0o0.online/api/qr-codes?page=1"
    }
}
GET https://0o0.online/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "url",
        "name": "Example name",
        "qr_code": "https://0o0.online/uploads/qr_code/example.svg",
        "qr_code_logo": null,
        "qr_code_background": null,
        "settings": {
            "foreground_type": "color",
            "foreground_color": "#000000",
            "background_color": "#ffffff",
            "custom_eyes_color": false,
            "qr_code_logo_size": 25,
            "size": 500,
            "margin": 0,
            "ecc": "L",
            "url": "https://example.com"
            ...
        },
        "embedded_data": "https://example.com",
        "last_datetime": null,
        "datetime": "2026-10-16 01:37:53",
    }
}
POST https://0o0.online/api/qr-codes
Parametreler Detaylar Açıklama
project_id seçmeli bütünü -
name Zorunlu Çerçeve -
type Zorunlu Çerçeve izin verilen değerler: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
is_bulk seçmeli Boolean Mevcut olduğunda: type = text
url_dynamic_existing_link seçmeli Boolean Mevcut olduğunda: url_dynamic = 1
url_dynamic seçmeli Boolean Mevcut olduğunda: type = url
link_id seçmeli bütünü Mevcut olduğunda: url_dynamic = 1 + url_dynamic_existing_link = 1
style seçmeli Çerçeve
inner_eye_style seçmeli Çerçeve izin verilen değerler: square, dot, rounded, diamond, flower, leaf
outer_eye_style seçmeli Çerçeve izin verilen değerler: square, circle, rounded, flower, leaf
foreground_type seçmeli Çerçeve izin verilen değerler: color, gradient
foreground_color seçmeli Çerçeve Mevcut olduğunda: foreground_type = color
foreground_gradient_style seçmeli Çerçeve izin verilen değerler: vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one seçmeli Çerçeve Mevcut olduğunda: foreground_type = gradient
foreground_gradient_two seçmeli Çerçeve Mevcut olduğunda: foreground_type = gradient
background_color seçmeli Çerçeve
background_color_transparency seçmeli bütünü
custom_eyes_color seçmeli Boolean
eyes_inner_color seçmeli Çerçeve Mevcut olduğunda: custom_eyes_color = 1
eyes_outer_color seçmeli Çerçeve Mevcut olduğunda: custom_eyes_color = 1
qr_code_logo seçmeli Dosya -
qr_code_logo_size seçmeli bütünü 5-35
qr_code_background seçmeli Dosya -
qr_code_background_transparency seçmeli bütünü 0-100
qr_code_foreground seçmeli Dosya -
qr_code_foreground_transparency seçmeli bütünü 0-100
frame seçmeli Çerçeve izin verilen değerler: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text seçmeli Çerçeve
frame_text_size seçmeli bütünü -5 - 5
frame_text_font seçmeli Çerçeve izin verilen değerler: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors seçmeli Boolean
frame_color seçmeli Çerçeve Mevcut olduğunda: frame_custom_colors = 1
frame_text_color seçmeli Çerçeve Mevcut olduğunda: frame_custom_colors = 1
size seçmeli bütünü 50-2000
margin seçmeli bütünü 0-25
ecc seçmeli Çerçeve izin verilen değerler: L, M, Q, H
text seçmeli Çerçeve Mevcut olduğunda: type = text
url seçmeli Çerçeve Mevcut olduğunda: type = url. Mevcut olduğunda: url_dynamic = 0 / url_dynamic_existing_link = 0
phone seçmeli Çerçeve Mevcut olduğunda: type = phone
sms seçmeli Çerçeve Mevcut olduğunda: type = sms
sms_body seçmeli Çerçeve Mevcut olduğunda: type = sms
email seçmeli Çerçeve Mevcut olduğunda: type = email
whatsapp seçmeli Çerçeve Mevcut olduğunda: type = whatsapp
whatsapp_body seçmeli Çerçeve Mevcut olduğunda: type = whatsapp
facetime seçmeli Çerçeve Mevcut olduğunda: type = facetime
location
location_latitude seçmeli Float için Mevcut olduğunda: type = location
location_longitude seçmeli Float için Mevcut olduğunda: type = location
wifi
wifi_ssid seçmeli Çerçeve Mevcut olduğunda: type = wifi
wifi_encryption seçmeli Çerçeve izin verilen değerler: nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password seçmeli Çerçeve Mevcut olduğunda: type = wifi
wifi_is_hidden seçmeli Boolean Mevcut olduğunda: type = wifi
event seçmeli Çerçeve Mevcut olduğunda: type = event
event_location seçmeli Çerçeve Mevcut olduğunda: type = event
event_url seçmeli Çerçeve Mevcut olduğunda: type = event
event_note seçmeli Çerçeve Mevcut olduğunda: type = event
event_timezone seçmeli Çerçeve Mevcut olduğunda: type = event
event_start_datetime seçmeli Çerçeve Mevcut olduğunda: type = event
event_end_datetime seçmeli Çerçeve Mevcut olduğunda: type = event
event_first_alert_datetime seçmeli Çerçeve Mevcut olduğunda: type = event
event_second_alert_datetime seçmeli Çerçeve Mevcut olduğunda: type = event
crypto
crypto_coin seçmeli Çerçeve Mevcut olduğunda: type = crypto
crypto_address seçmeli Çerçeve Mevcut olduğunda: type = crypto
crypto_amount seçmeli Çerçeve Mevcut olduğunda: type = crypto
vcard
vcard_first_name seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_last_name seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_company seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_phone_number_label[index] seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_phone_number_value[index] seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_email seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_url seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_job_title seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_birthday seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_street seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_city seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_zip seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_region seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_country seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_note seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_social_label[index] seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_social_value[index] seçmeli Çerçeve Mevcut olduğunda: type = vcard
paypal
paypal_type seçmeli Çerçeve izin verilen değerler: buy_now, add_to_cart, donation (type=paypal)
paypal_email seçmeli Çerçeve Mevcut olduğunda: type = paypal
paypal_title seçmeli Çerçeve Mevcut olduğunda: type = paypal
paypal_currency seçmeli Çerçeve Mevcut olduğunda: type = paypal
paypal_price seçmeli Float için Mevcut olduğunda: type = paypal
paypal_thank_you_url seçmeli Çerçeve Mevcut olduğunda: type = paypal
paypal_cancel_url seçmeli Çerçeve Mevcut olduğunda: type = paypal
upi
upi_payee_id seçmeli Çerçeve Mevcut olduğunda: type = upi
upi_payee_name seçmeli Çerçeve Mevcut olduğunda: type = upi
upi_currency seçmeli Çerçeve Mevcut olduğunda: type = upi
upi_amount seçmeli Float için Mevcut olduğunda: type = upi
upi_transaction_id seçmeli Çerçeve Mevcut olduğunda: type = upi
upi_transaction_note seçmeli Çerçeve Mevcut olduğunda: type = upi
upi_transaction_reference seçmeli Çerçeve Mevcut olduğunda: type = upi
upi_thank_you_url seçmeli Çerçeve Mevcut olduğunda: type = upi
epc
epc_iban seçmeli Çerçeve Mevcut olduğunda: type = epc
epc_payee_name seçmeli Çerçeve Mevcut olduğunda: type = epc
epc_currency seçmeli Çerçeve Mevcut olduğunda: type = epc
epc_amount seçmeli Float için Mevcut olduğunda: type = epc
epc_bic seçmeli Çerçeve Mevcut olduğunda: type = epc
epc_remittance_reference seçmeli Çerçeve Mevcut olduğunda: type = epc
epc_remittance_text seçmeli Çerçeve Mevcut olduğunda: type = epc
information seçmeli Çerçeve Mevcut olduğunda: type = epc
pix
pix_payee_key seçmeli Çerçeve Mevcut olduğunda: type = pix
pix_payee_name seçmeli Çerçeve Mevcut olduğunda: type = pix
pix_currency seçmeli Çerçeve Mevcut olduğunda: type = pix
pix_amount seçmeli Float için Mevcut olduğunda: type = pix
pix_city seçmeli Çerçeve Mevcut olduğunda: type = pix
pix_transaction_id seçmeli Çerçeve Mevcut olduğunda: type = pix
pix_description seçmeli Çerçeve Mevcut olduğunda: type = pix
Parametreler Detaylar Açıklama
curl --request POST \
--url 'https://0o0.online/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
    "data": {
        "id": 1
    }
}
POST https://0o0.online/api/qr-codes/{qr_code_id}
Parametreler Detaylar Açıklama
project_id seçmeli Çerçeve -
name seçmeli Çerçeve -
type seçmeli Çerçeve izin verilen değerler: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
url_dynamic seçmeli Boolean Mevcut olduğunda: type = url
url_dynamic_existing_link seçmeli Boolean Mevcut olduğunda: url_dynamic = 1
link_id seçmeli bütünü Mevcut olduğunda: url_dynamic = 1 + url_dynamic_existing_link = 1
style seçmeli Çerçeve izin verilen değerler: square, dot, round, rounded, elastic_square, heart, diamond, star, triangle, hexagon, spaced_square, octagon, cross_x, curvy_x, rounded_cross, ninja, sun, shine, bold_plus, teardrop, corner_cut, randomized_square, bold_x
inner_eye_style seçmeli Çerçeve izin verilen değerler: square, dot, rounded, diamond, flower, leaf
outer_eye_style seçmeli Çerçeve izin verilen değerler: square, circle, rounded, flower, leaf
foreground_type seçmeli Çerçeve izin verilen değerler: color, gradient
foreground_color seçmeli Çerçeve Mevcut olduğunda: foreground_type = color
foreground_gradient_style seçmeli Çerçeve izin verilen değerler: vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one seçmeli Çerçeve Mevcut olduğunda: foreground_type = gradient
foreground_gradient_two seçmeli Çerçeve Mevcut olduğunda: foreground_type = gradient
background_color seçmeli Çerçeve
background_color_transparency seçmeli bütünü 0 - 100
custom_eyes_color seçmeli Boolean
eyes_inner_color seçmeli Çerçeve Mevcut olduğunda: custom_eyes_color = 1
eyes_outer_color seçmeli Çerçeve Mevcut olduğunda: custom_eyes_color = 1
qr_code_logo seçmeli Dosya -
qr_code_logo_size seçmeli bütünü 5-35
qr_code_background seçmeli Dosya -
qr_code_background_transparency seçmeli bütünü 0-100
qr_code_foreground seçmeli Dosya -
qr_code_foreground_transparency seçmeli bütünü 0-100
frame seçmeli Çerçeve izin verilen değerler: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text seçmeli Çerçeve
frame_text_size seçmeli bütünü -5 -> 5
frame_text_font seçmeli Çerçeve izin verilen değerler: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors seçmeli Boolean
frame_color seçmeli Çerçeve Mevcut olduğunda: frame_custom_colors = 1
frame_text_color seçmeli Çerçeve Mevcut olduğunda: frame_custom_colors = 1
size seçmeli bütünü 50-2000
margin seçmeli bütünü 0-25
ecc seçmeli Çerçeve izin verilen değerler: L, M, Q, H
text seçmeli Çerçeve Mevcut olduğunda: type = text
url seçmeli Çerçeve Mevcut olduğunda: type = url. Mevcut olduğunda: url_dynamic = 0 / url_dynamic_existing_link = 0
phone seçmeli Çerçeve Mevcut olduğunda: type = phone
sms seçmeli Çerçeve Mevcut olduğunda: type = sms
sms_body seçmeli Çerçeve Mevcut olduğunda: type = sms
email seçmeli Çerçeve Mevcut olduğunda: type = email
whatsapp seçmeli Çerçeve Mevcut olduğunda: type = whatsapp
whatsapp_body seçmeli Çerçeve Mevcut olduğunda: type = whatsapp
facetime seçmeli Çerçeve Mevcut olduğunda: type = facetime
location
location_latitude seçmeli Float için Mevcut olduğunda: type = location
location_longitude seçmeli Float için Mevcut olduğunda: type = location
wifi
wifi_ssid seçmeli Çerçeve Mevcut olduğunda: type = wifi
wifi_encryption seçmeli Çerçeve izin verilen değerler: nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password seçmeli Çerçeve Mevcut olduğunda: type = wifi
wifi_is_hidden seçmeli Boolean Mevcut olduğunda: type = wifi
event seçmeli Çerçeve Mevcut olduğunda: type = event
event_location seçmeli Çerçeve Mevcut olduğunda: type = event
event_url seçmeli Çerçeve Mevcut olduğunda: type = event
event_note seçmeli Çerçeve Mevcut olduğunda: type = event
event_timezone seçmeli Çerçeve Mevcut olduğunda: type = event
event_start_datetime seçmeli Çerçeve Mevcut olduğunda: type = event
event_end_datetime seçmeli Çerçeve Mevcut olduğunda: type = event
event_first_alert_datetime seçmeli Çerçeve Mevcut olduğunda: type = event
event_second_alert_datetime seçmeli Çerçeve Mevcut olduğunda: type = event
crypto
crypto_coin seçmeli Çerçeve Mevcut olduğunda: type = crypto
crypto_address seçmeli Çerçeve Mevcut olduğunda: type = crypto
crypto_amount seçmeli Çerçeve Mevcut olduğunda: type = crypto
vcard
vcard_first_name seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_last_name seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_company seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_phone_number_label[index] seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_phone_number_value[index] seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_email seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_url seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_job_title seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_birthday seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_street seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_city seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_zip seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_region seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_country seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_note seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_social_label[index] seçmeli Çerçeve Mevcut olduğunda: type = vcard
vcard_social_value[index] seçmeli Çerçeve Mevcut olduğunda: type = vcard
paypal
paypal_type seçmeli Çerçeve izin verilen değerler: buy_now, add_to_cart, donation (type=paypal)
paypal_email seçmeli Çerçeve Mevcut olduğunda: type = paypal
paypal_title seçmeli Çerçeve Mevcut olduğunda: type = paypal
paypal_currency seçmeli Çerçeve Mevcut olduğunda: type = paypal
paypal_price seçmeli Float için Mevcut olduğunda: type = paypal
paypal_thank_you_url seçmeli Çerçeve Mevcut olduğunda: type = paypal
paypal_cancel_url seçmeli Çerçeve Mevcut olduğunda: type = paypal
upi
upi_payee_id seçmeli Çerçeve Mevcut olduğunda: type = upi
upi_payee_name seçmeli Çerçeve Mevcut olduğunda: type = upi
upi_currency seçmeli Çerçeve Mevcut olduğunda: type = upi
upi_amount seçmeli Float için Mevcut olduğunda: type = upi
upi_transaction_id seçmeli Çerçeve Mevcut olduğunda: type = upi
upi_transaction_note seçmeli Çerçeve Mevcut olduğunda: type = upi
upi_transaction_reference seçmeli Çerçeve Mevcut olduğunda: type = upi
upi_thank_you_url seçmeli Çerçeve Mevcut olduğunda: type = upi
epc
epc_iban seçmeli Çerçeve Mevcut olduğunda: type = epc
epc_payee_name seçmeli Çerçeve Mevcut olduğunda: type = epc
epc_currency seçmeli Çerçeve Mevcut olduğunda: type = epc
epc_amount seçmeli Float için Mevcut olduğunda: type = epc
epc_bic seçmeli Çerçeve Mevcut olduğunda: type = epc
epc_remittance_reference seçmeli Çerçeve Mevcut olduğunda: type = epc
epc_remittance_text seçmeli Çerçeve Mevcut olduğunda: type = epc
information seçmeli Çerçeve Mevcut olduğunda: type = epc
pix
pix_payee_key seçmeli Çerçeve Mevcut olduğunda: type = pix
pix_payee_name seçmeli Çerçeve Mevcut olduğunda: type = pix
pix_currency seçmeli Çerçeve Mevcut olduğunda: type = pix
pix_amount seçmeli Float için Mevcut olduğunda: type = pix
pix_city seçmeli Çerçeve Mevcut olduğunda: type = pix
pix_transaction_id seçmeli Çerçeve Mevcut olduğunda: type = pix
pix_description seçmeli Çerçeve Mevcut olduğunda: type = pix
curl --request POST \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
    "data": {
        "id": 1
    }
}
DELETE https://0o0.online/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \